Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.util.uri
Class DataURLUtil

    java.lang.Object
      org.apache.xmlgraphics.util.uri.DataURLUtil

    public final class DataURLUtil

extends Object

Utility classes for generating RFC 2397 data URLs.

Method Summary
`static String` | `createDataURL(InputStream in, String mediatype)` Creates a new data URL and returns it as a String.
`static void` | `writeDataURL(InputStream in, String mediatype, Writer writer)` Generates a data URL and writes it to a Writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDataURL

    public static String createDataURL(InputStream in,
                                       String mediatype)
                                throws IOException

  Creates a new data URL and returns it as a String.

  Parameters:
    `in` - the InputStream to read the data from
    `mediatype` - the MIME type of the content, or null
  Returns:
    the newly created data URL
  Throws:
    `IOException` - if an I/O error occurs

### writeDataURL

    public static void writeDataURL(InputStream in,
                                    String mediatype,
                                    Writer writer)
                             throws IOException

  Generates a data URL and writes it to a Writer.

  Parameters:
    `in` - the InputStream to read the data from
    `mediatype` - the MIME type of the content, or null
    `writer` - the Writer to write to
  Throws:
    `IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.